#include <stdio.h>
#include <locale.h>
#include "file-manager.h"
#include "../curses2.h"
#include "../lib.h"

static void
startWindows ()
{
  global_semafor_init ();
  curses_semafor_init ();

  initscr2 ();
  start_color2 ();
  use_default_colors2 ();
  keypad2 (stdscr, TRUE);
  noecho2 ();
  barevne ();
}

static void
konecWindows ()
{
  curses_semafor_destroy ();
  global_semafor_destroy ();
  endwin2 ();
}

int
main (void)
{
  char *file = NULL;

  setlocale (LC_ALL, "");
  startWindows ();
  file = fileManager ("/usr/neexistujici/adresar");
  konecWindows ();
  if (file)
    printf ("Vybrany soubor: %s\n", file);
  else
    printf ("Zadny soubor nebyl vybran\n");
  return 0;
}
