/* Copyright (c) 2002 Petr Bilek
   Tento kod je volne programove vybaveni; muzete jej sirit a modifikovat
podle ustanoveni Obecne verejne license GNU, vydavane FreeSoftware Foundation.
Na tento program se nevztahuji ZADNE ZARUKY; neposkytuji se ani odvozene zaruky
PRODEJNSTI anebo VHODNOSTI PRO URCITY UCEL. */
/* soubor vysledky.c */

#include "strukturyw.h"
#include "box3.h"
#include "struktury.h"
#include "libw.h"
#include "lib.h"
#include "barvy.h"

#define LPOLOZEK 4
void
vysledky (type_uziv * slozka)
{
  int i, line;
  WINDOW *zapisnik;
  int ch;
  char stemp[80];

  if ((zapisnik = newpad2 (LPOLOZEK * TEST + 3, COLS)) == NULL)
    {
      print_hl (1, "Nedostatek pamti !");
      return;
    }

  wclear2 (zapisnik);

  wattron2 (zapisnik, COLOR_PAIR (COLOR_VYSLEDKY_HLAVNI));

  box3 (zapisnik, ' ', ' ');

  mvwprintw2 (zapisnik, 0, 0, "\"k\" - nvrat do hlavnho menu.");

  for (i = 0; i < TEST; i++)
    {
/*      if (slozka->napsano_test[i])
	{ */

      line = (int) (COLS - 62) / 2;
      wattron2 (zapisnik, A_BOLD);
      MVWPRINTW2 (zapisnik, i * LPOLOZEK + 2, line, "TEST %2i:", i + 1);
      wattroff2 (zapisnik, A_BOLD);

      sprintf (stemp, "\tpesnost %4.2f\trychlost %4.2f\tcelkem ",
	       slozka->znamka_test[0][0][i], slozka->znamka_test[0][1][i]);
      wprintw2 (zapisnik, stemp);
/* 0 protoze zatim ukldame jen 1 vysledek */
      if (slozka->znamka_test[0][2][i] < 1.5)
	wattron2 (zapisnik, COLOR_PAIR (COLOR_VYSLEDKY_VYBORNE));
      else if (slozka->znamka_test[0][2][i] < 3.5)
	wattron2 (zapisnik, COLOR_PAIR (COLOR_VYSLEDKY_DOBRE));
      else
	wattron2 (zapisnik, COLOR_PAIR (COLOR_VYSLEDKY_SPATNE));

      wattron2 (zapisnik, A_BOLD);
      if (slozka->znamka_test[0][2][i])
	{
	  sprintf (stemp, "%4.2f", slozka->znamka_test[0][2][i]);
	  wprintw2 (zapisnik, stemp);
	}

      if (slozka->znamka_test[0][2][i])
	{
	  wattron2 (zapisnik, COLOR_PAIR (COLOR_VYSLEDKY_CELKEM));
	  sprintf (stemp, "\t- %1.0f -", slozka->znamka_test[0][2][i]);
	  wprintw2 (zapisnik, stemp);
	}

      wattroff2 (zapisnik, A_BOLD);
      wattron2 (zapisnik, COLOR_PAIR (COLOR_VYSLEDKY_HLAVNI));


      mvwprintw2 (zapisnik, i * LPOLOZEK + 3, line,
		  "\t\thoz za minutu:\t\t\t");

      sprintf (stemp, "%3u", slozka->uh_min[0][i]);
      wprintw2 (zapisnik, stemp);

      mvwprintw2 (zapisnik, i * LPOLOZEK + 4, line,
		  "\t\tdoba psan:\t\t\t   ");
      line = (int) slozka->vterin_test[0][i] / 3600;
      sprintf (stemp, "%02i:", line);
      wprintw2 (zapisnik, stemp);
      line = (int) ((slozka->vterin_test[0][i] - (line) * 3600) / 60);
      sprintf (stemp, "%02i:", line);
      wprintw2 (zapisnik, stemp);
      line =
	(int) (slozka->vterin_test[0][i] -
	       ((int) slozka->vterin_test[0][i] / 60) * 60);
      sprintf (stemp, "%02i", line);
      wprintw2 (zapisnik, stemp);
/*	} */
    }


 /****************************************************************************/

  line = 0;
  pridej_do_priority_p (1, zapisnik, 0 + line, 0, 0, 0, LINES - 1,
			COLS - 1, stdscr, LINES - 1, 0);
  do
    {
      odeber_z_priority (zapisnik);
      pridej_do_priority_p (1, zapisnik, 0 + line, 0, 0, 0, LINES - 1,
			    COLS - 1, stdscr, LINES - 1, 0);
      tiskni_dle_priority ();

      ch = getch3 ();
      if (ch == KEY_UP && line != 0)
	line--;
      else if (((ch == KEY_DOWN) || (ch == ' '))
	       && line < LPOLOZEK * TEST + 3 - LINES)
	line++;
    }
  while (ch != KEY_BACKSPACE && ch != 'k' && ch != 'K');

  odeber_z_priority (zapisnik);
  delwin2 (zapisnik);
  tiskni_dle_priority ();
  obnov_nadpis ();
}
